com.creamtec.ajaxswing.core

## Class AjaxSwingClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - com.creamtec.ajaxswing.core.AjaxSwingClassLoader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class AjaxSwingClassLoader
      extends java.net.URLClassLoader

  AjaxSwing uses a custom class loader to isolate applications running in the same JVM. If two instances of an application had the same class loader, they would end up sharing the static data of classes, which can lead to functionality defects. AjaxSwingClassLoader is used for all classes specified in agent.classPath configuration property that are not found on system CLASSPATH. Each virtual application gets its own instance of AjaxSwingClassLoader and therefore its own static data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingClassLoader(java.net.URL[] urls, java.lang.ClassLoader parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.net.URL[]` | `getClassPathURLs(java.lang.String classPath)`

    - ### Methods inherited from class java.net.URLClassLoader

      `close, findResource, findResources, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingClassLoader

          public AjaxSwingClassLoader(java.net.URL[] urls,
                              java.lang.ClassLoader parent)

  - ### Method Detail

    - #### getClassPathURLs

          public static java.net.URL[] getClassPathURLs(java.lang.String classPath)
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.